[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: gcc-4.3.0-0.4 and building kernel src.rpm



David Timms <dtimms <at> iinet.net.au> writes:
> I seem to remember that the fedora builders used earlier known to be 
> stable gcc's to build fedora packages. Using the latest gcc will ensure 
> you get to trip on the issues ;) and need to keep bugzilla.redhat.com 
> handy ?

Koji (the Fedora build system) normally uses the current GCC in the buildroot, 
which is essentially the latest GCC in Rawhide (give or take a few hours), to 
build Rawhide builds. However, in this case, GCC 4.3 is currently being 
introduced in a separate buildroot, it's not in Rawhide yet. When it'll hit 
Rawhide, the Rawhide kernels will of course have to be fixed to work with it. 
(However, the Fedora 8 kernel the original poster apparently tried to build 
with GCC 4.3 probably won't (until/unless upstream fixes it and F8 rebases to 
the new upstream kernel)!)

        Kevin Kofler


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]